OpenStack Compute (Nova)

Fixed IPs quota can break upgrades

Reported by Sam Morrison on 2013-03-28
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Critical
Michael Still
Essex
Critical
Michael Still
Folsom
Critical
Vish Ishaya
openstack-manuals
Critical
Tom Fifield

Bug Description

When upgrading our folsom cloud to latest stable/folsom it added support for fixed ip quota.

The default is 10 which means all of a sudden my instances weren't getting IP's.

I think the default should be -1 so it doesn't break existing clouds.

Also need something in the release notes/ upgrade notes

Tags: ops Edit Tag help
Michael Still (mikalstill) wrote :

The default quota was set to the same value as the default instance quota in the code. However, I can see that it would be better to set it to the current value of the default instances quota -- i.e. if you changed the default instance quota, this should change too.

Would that mitigate your concern? It wouldn't work for users where you have grown their instance quota though...

I'm hesitant to allow an unlimited quota here because that reopens the DoS window that this quota was added to close.

Changed in nova:
milestone: none → grizzly-rc2
status: New → Triaged
importance: Undecided → Critical
Michael Still (mikalstill) wrote :

Sam and I talked briefly about this. There are two ideas:

 - allow the fixed ip quota to default to the instance quota for this project with some magic value (-2?)
 - rephrase the fixed ip quota as a ratio of the instance quota (1.1 or something)

Both of these look like they'd require a reasonable amount of code to be written in folsom.

Russell Bryant (russellb) wrote :

We are *really* close to grizzly-rc2. My proposal would be to:

1) Release grizzly with this issue clearly documented in the release and upgrade notes.

2) Work on this in the meantime to figure out the best solution for both stable/folsom and stable/grizzly and roll it out when we know we've got the right solution in place.

Vish Ishaya (vishvananda) wrote :

I think our best option here is actually to change the default to -1 and note in the release notes that providers should set it to a reasonable value.

Thierry Carrez (ttx) on 2013-03-28
Changed in nova:
assignee: nobody → Michael Still (mikalstill)
tags: added: ops
Changed in nova:
status: Triaged → In Progress
Tom Fifield (fifieldt) on 2013-03-29
Changed in openstack-manuals:
milestone: none → grizzly
status: New → Confirmed
importance: Undecided → Critical
Thierry Carrez (ttx) wrote :
Tom Fifield (fifieldt) on 2013-03-29
Changed in openstack-manuals:
status: Confirmed → In Progress
assignee: nobody → Tom Fifield (fifieldt)

Reviewed: https://review.openstack.org/25663
Committed: http://github.com/openstack/nova/commit/78c7edc52efdf31d844b8bb38c2460add4c864fb
Submitter: Jenkins
Branch: master

commit 78c7edc52efdf31d844b8bb38c2460add4c864fb
Author: Michael Still <email address hidden>
Date: Fri Mar 29 09:00:46 2013 +1100

    Set default fixed_ip quota to unlimited.

    DocImpact: our previous default quota of ten was poorly thought through
    and resulted in upgrade problems. Instead, let's have operators opt into
    fixed IP quotas. This change should be mentioned in release notes please.

    Resolves bug 1161190.

    Change-Id: I2f066a0129461899fe330a628cf49ee5273eaba4

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/25665
Committed: http://github.com/openstack/nova/commit/a31211325be7242000f5fd1e44104e9799b21b63
Submitter: Jenkins
Branch: milestone-proposed

commit a31211325be7242000f5fd1e44104e9799b21b63
Author: Michael Still <email address hidden>
Date: Fri Mar 29 09:00:46 2013 +1100

    Set default fixed_ip quota to unlimited.

    DocImpact: our previous default quota of ten was poorly thought through
    and resulted in upgrade problems. Instead, let's have operators opt into
    fixed IP quotas. This change should be mentioned in release notes please.

    Resolves bug 1161190.

    Change-Id: I2f066a0129461899fe330a628cf49ee5273eaba4

Changed in nova:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/25736
Committed: http://github.com/openstack/nova/commit/c4c417e0d808a6f7f52c03e49cec1c5e38ffebee
Submitter: Jenkins
Branch: stable/folsom

commit c4c417e0d808a6f7f52c03e49cec1c5e38ffebee
Author: Michael Still <email address hidden>
Date: Fri Mar 29 09:00:46 2013 +1100

    Set default fixed_ip quota to unlimited.

    DocImpact: our previous default quota of ten was poorly thought through
    and resulted in upgrade problems. Instead, let's have operators opt into
    fixed IP quotas. This change should be mentioned in release notes please.

    Resolves bug 1161190.

    Change-Id: I2f066a0129461899fe330a628cf49ee5273eaba4
    (cherry picked from commit 78c7edc52efdf31d844b8bb38c2460add4c864fb)

Reviewed: https://review.openstack.org/25721
Committed: http://github.com/openstack/openstack-manuals/commit/392da359d77c227cf91132fae31114a1bf521dd4
Submitter: Jenkins
Branch: master

commit 392da359d77c227cf91132fae31114a1bf521dd4
Author: Tom Fifield <email address hidden>
Date: Fri Mar 29 23:49:45 2013 +0800

    Add quota_fixed_ips to nova conf ref

    Grizzly brings a new feature quota_fixed_ips, which this
    patch documents - including its default value of unlimited

    fixes bug 1161190

    Change-Id: I013bccaeff5372b3360e6b16b7b9b20b8ff52aad

Changed in openstack-manuals:
status: In Progress → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-rc2 → 2013.1
Matt Hilt (mjhilt-x) wrote :

For us Essex users who upgraded already, is there a DB command we use in the meantime to allow new instances to be launched?

Michael Still (mikalstill) wrote :

Essex is no longer supported by upstream.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers